Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks
Class SourceTask

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.SourceTask

All Implemented Interfaces:
  Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task, PatternFilterable, org.gradle.util.Configurable<Task>

Direct Known Subclasses:
  AbstractCompile, AntlrTask, Checkstyle, CodeNarc, Groovydoc, Javadoc, ScalaDoc

    public class SourceTask

extends org.gradle.api.internal.ConventionTask
implements PatternFilterable

A `SourceTask` performs some operation on source files.

Field Summary

Fields inherited from interface org.gradle.api.Task
`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`SourceTask()`

Method Summary
`SourceTask` | `exclude(Closure excludeSpec)` Adds an exclude spec.
`SourceTask` | `exclude(Iterable<String> excludes)` Adds an ANT style exclude pattern.
`SourceTask` | `exclude(Spec<FileTreeElement> excludeSpec)` Adds an exclude spec.
`SourceTask` | `exclude(String... excludes)` Adds an ANT style exclude pattern.
`protected FileTree` | `getDefaultSource()` Returns the default source for this task, if any.
`Set<String>` | `getExcludes()` Returns the set of exclude patterns.
`Set<String>` | `getIncludes()` Returns the set of include patterns.
`FileTree` | `getSource()` Returns the source for this task, after the include and exclude patterns have been applied.
`SourceTask` | `include(Closure includeSpec)` Adds an include spec.
`SourceTask` | `include(Iterable<String> includes)` Adds an ANT style include pattern.
`SourceTask` | `include(Spec<FileTreeElement> includeSpec)` Adds an include spec.
`SourceTask` | `include(String... includes)` Adds an ANT style include pattern.
`SourceTask` | `setExcludes(Iterable<String> excludes)` Set the allowable exclude patterns.
`SourceTask` | `setIncludes(Iterable<String> includes)` Set the allowable include patterns.
`void` | `setSource(Object source)` Sets the source for this task.
`SourceTask` | `source(Object... sources)` Adds some source to this task.

Methods inherited from class org.gradle.api.internal.ConventionTask
`conventionMapping, getConventionMapping, setConventionMapping`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doFirst, doLast, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuter, getGroup, getInputs, getLogger, getLogging, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getStandardOutputCapture, getState, getTaskDependencies, getTemporaryDir, hashCode, hasProperty, injectIntoNewInstance, isEnabled, leftShift, onlyIf, onlyIf, property, setActions, setConvention, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setGroup, setName, setOnlyIf, setOnlyIf, setProject, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SourceTask

    public SourceTask()

Method Detail

### getSource

    public FileTree getSource()

  Returns the source for this task, after the include and exclude patterns have been applied. Ignores source files which do not exist.

  Returns:
    The source.

### getDefaultSource

    protected FileTree getDefaultSource()

  Returns the default source for this task, if any.

  Returns:
    The source. May return null.

### setSource

    public void setSource(Object source)

  Sets the source for this task. The given source object is evaluated as for `Project.files(Object...)`.

  Parameters:
    `source` - The source.

### source

    public SourceTask source(Object... sources)

  Adds some source to this task. The given source objects will be evaluated as for `Project.files(Object...)`.

  Parameters:
    `sources` - The source to add
  Returns:
    this

### include

    public SourceTask include(String... includes)

  Adds an ANT style include pattern. This method may be called multiple times to append new patterns and multiple patterns may be specified in a single call. If includes are not provided, then all files in this container will be included. If includes are provided, then a file must match at least one of the include patterns to be processed.

  Specified by:
    `include` in interface `PatternFilterable`
  Parameters:
    `includes` - a vararg list of include patterns
  Returns:
    this
  See Also:
    `Pattern Format`

### include

    public SourceTask include(Iterable<String> includes)

  Adds an ANT style include pattern. This method may be called multiple times to append new patterns and multiple patterns may be specified in a single call. If includes are not provided, then all files in this container will be included. If includes are provided, then a file must match at least one of the include patterns to be processed.

  Specified by:
    `include` in interface `PatternFilterable`
  Parameters:
    `includes` - a Iterable providing more include patterns
  Returns:
    this
  See Also:
    `Pattern Format`

### include

    public SourceTask include(Spec<FileTreeElement> includeSpec)

  Adds an include spec. This method may be called multiple times to append new specs. If includes are not provided, then all files in this container will be included. If includes are provided, then a file must match at least one of the include patterns or specs to be included.

  Specified by:
    `include` in interface `PatternFilterable`
  Parameters:
    `includeSpec` - the spec to add
  Returns:
    this
  See Also:
    `Pattern Format`

### include

    public SourceTask include(Closure includeSpec)

  Adds an include spec. This method may be called multiple times to append new specs. The given closure is passed a `FileTreeElement` as its parameter. If includes are not provided, then all files in this container will be included. If includes are provided, then a file must match at least one of the include patterns or specs to be included.

  Specified by:
    `include` in interface `PatternFilterable`
  Parameters:
    `includeSpec` - the spec to add
  Returns:
    this
  See Also:
    `Pattern Format`

### exclude

    public SourceTask exclude(String... excludes)

  Adds an ANT style exclude pattern. This method may be called multiple times to append new patterns and multiple patterns may be specified in a single call. If excludes are not provided, then no files will be excluded. If excludes are provided, then files must not match any exclude pattern to be processed.

  Specified by:
    `exclude` in interface `PatternFilterable`
  Parameters:
    `excludes` - a vararg list of exclude patterns
  Returns:
    this
  See Also:
    `Pattern Format`

### exclude

    public SourceTask exclude(Iterable<String> excludes)

  Adds an ANT style exclude pattern. This method may be called multiple times to append new patterns and multiple patterns may be specified in a single call. If excludes are not provided, then no files will be excluded. If excludes are provided, then files must not match any exclude pattern to be processed.

  Specified by:
    `exclude` in interface `PatternFilterable`
  Parameters:
    `excludes` - a Iterable providing new exclude patterns
  Returns:
    this
  See Also:
    `Pattern Format`

### exclude

    public SourceTask exclude(Spec<FileTreeElement> excludeSpec)

  Adds an exclude spec. This method may be called multiple times to append new specs. If excludes are not provided, then no files will be excluded. If excludes are provided, then files must not match any exclude pattern to be processed.

  Specified by:
    `exclude` in interface `PatternFilterable`
  Parameters:
    `excludeSpec` - the spec to add
  Returns:
    this
  See Also:
    `Pattern Format`

### exclude

    public SourceTask exclude(Closure excludeSpec)

  Adds an exclude spec. This method may be called multiple times to append new specs.The given closure is passed a `FileTreeElement` as its parameter. If excludes are not provided, then no files will be excluded. If excludes are provided, then files must not match any exclude pattern to be processed.

  Specified by:
    `exclude` in interface `PatternFilterable`
  Parameters:
    `excludeSpec` - the spec to add
  Returns:
    this
  See Also:
    `Pattern Format`

### getIncludes

    public Set<String> getIncludes()

  Returns the set of include patterns.

  Specified by:
    `getIncludes` in interface `PatternFilterable`
  Returns:
    The include patterns. Returns an empty set when there are no include patterns.

### setIncludes

    public SourceTask setIncludes(Iterable<String> includes)

  Set the allowable include patterns. Note that unlike `PatternFilterable.include(Iterable)` this replaces any previously defined includes.

  Specified by:
    `setIncludes` in interface `PatternFilterable`
  Parameters:
    `includes` - an Iterable providing new include patterns
  Returns:
    this
  See Also:
    `Pattern Format`

### getExcludes

    public Set<String> getExcludes()

  Returns the set of exclude patterns.

  Specified by:
    `getExcludes` in interface `PatternFilterable`
  Returns:
    The exclude patterns. Returns an empty set when there are no exclude patterns.

### setExcludes

    public SourceTask setExcludes(Iterable<String> excludes)

  Set the allowable exclude patterns. Note that unlike `PatternFilterable.exclude(Iterable)` this replaces any previously defined excludes.

  Specified by:
    `setExcludes` in interface `PatternFilterable`
  Parameters:
    `excludes` - an Iterable providing new exclude patterns
  Returns:
    this
  See Also:
    `Pattern Format`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD